library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.NUMERIC_STD.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity mustervergleich2 is
    Port ( MEINECLOCK : in   STD_LOGIC;
            MEINELED  : out  STD_LOGIC;
            VIERBIT   : out  STD_LOGIC_VECTOR(3 downto 0)
		    );
end mustervergleich2;
-- Clock-In == 6MHz, Toggeln nach 3000000 Schritten ergibt 1Hz Blinkfrequenz.
architecture Behavioral of mustervergleich2 is
    signal zaehler    : integer range 0 to 2999999 := 0;
    signal kleinerzaehler : integer range 0 to 15 := 0;
    signal logikpegel : std_logic := '0';
	 signal wort : std_logic_vector(3 downto 0);
	 signal A1,A0,B1,B0,C : std_logic;
    begin
        process begin
            wait until rising_edge(MEINECLOCK);
            if (zaehler<2999999) then
                zaehler <= zaehler+1;
            else
                zaehler <= 0;
                logikpegel <= not logikpegel;
					 if (kleinerzaehler<15) then
                    kleinerzaehler <= kleinerzaehler+1;
                else
                    kleinerzaehler <= 0;
                end if;					 
            end if;
        end process;
		  wort <= conv_std_logic_vector(kleinerzaehler,VIERBIT'length);
		  A1 <= wort(0);
		  A0 <= wort(1);
		  B1 <= wort(2);
		  B0 <= wort(3);
        C <= (A1 xnor B1) and (A0 xnor B0);
		  
		  VIERBIT <= wort;
        MEINELED <= C;
		  
    end Behavioral;
